import * as react_jsx_runtime from 'react/jsx-runtime';
import { StoryContext } from '@storybook/csf';
import { PreviewWithSelection } from '@storybook/preview-web';
import { ReactRenderer } from '@storybook/react';
import { Theme } from '@storybook/react-native-theming';
import { S as StoryIndex, b as PreparedStory } from './index.d-e107ed3d.js';
import { Channel } from '@storybook/channels';

interface Storage {
    getItem: (key: string) => Promise<string | null>;
    setItem: (key: string, value: string) => Promise<void>;
}
type StoryKind = string;
type StoryName = string;
type InitialSelection = `${StoryKind}--${StoryName}` | {
    /**
     * Kind is the default export name or the storiesOf("name") name
     */
    kind: StoryKind;
    /**
     * Name is the named export or the .add("name") name
     */
    name: StoryName;
};
type DeepPartial<T> = T extends object ? {
    [P in keyof T]?: DeepPartial<T[P]>;
} : T;
type Params = {
    onDeviceUI?: boolean;
    enableWebsockets?: boolean;
    query?: string;
    host?: string;
    port?: number;
    secured?: boolean;
    initialSelection?: InitialSelection;
    shouldPersistSelection?: boolean;
    tabOpen?: number;
    isUIHidden?: boolean;
    isSplitPanelVisible?: boolean;
    shouldDisableKeyboardAvoidingView?: boolean;
    keyboardAvoidingViewVerticalOffset?: number;
    theme: DeepPartial<Theme>;
    storage?: Storage;
};
declare class View {
    _storyIndex: StoryIndex;
    _setStory: (story: StoryContext<ReactRenderer>) => void;
    _forceRerender: () => void;
    _ready: boolean;
    _preview: PreviewWithSelection<ReactRenderer>;
    _asyncStorageStoryId: string;
    _webUrl: string;
    _storage: Storage;
    _channel: Channel;
    _idToPrepared: Record<string, PreparedStory<ReactRenderer>>;
    constructor(preview: PreviewWithSelection<ReactRenderer>, channel: Channel);
    _getInitialStory: ({ initialSelection, shouldPersistSelection, }?: Partial<Params>) => Promise<{
        storySpecifier: string;
        viewMode: string;
    }>;
    _getServerChannel: (params?: Partial<Params>) => Channel;
    createPreparedStoryMapping: () => Promise<void>;
    getStorybookUI: (params?: Partial<Params>) => () => react_jsx_runtime.JSX.Element;
}

export { Params as P, View as V };
