import { N as NormalizedStoriesSpecifier, S as StoryIndex, P as ProjectAnnotations, a as StorybookConfig$1 } from './index.d-e107ed3d.js';
import { V as View } from './View-9ba91d66.js';
import { ReactRenderer } from '@storybook/react';
export { Theme, darkTheme, theme } from '@storybook/react-native-theming';
import 'file-system-cache';
import '@babel/core';
import 'http';
import 'react/jsx-runtime';
import '@storybook/csf';
import '@storybook/preview-web';
import '@storybook/channels';

/** Configuration options that are needed at startup, only serialisable values are possible */
interface ReactNativeOptions {
    /**
     * Note that this is for future and play functions are not yet fully supported on native.
     */
    playFn?: boolean;
}
declare function prepareStories({ storyEntries, options, }: {
    storyEntries: Array<NormalizedStoriesSpecifier & {
        req: any;
    }>;
    options?: ReactNativeOptions;
}): {
    index: StoryIndex;
    importMap: Record<string, any>;
};
declare const getProjectAnnotations: (view: View, annotations: any[]) => () => Promise<ProjectAnnotations<ReactRenderer>>;
declare function start({ annotations, storyEntries, options, }: {
    storyEntries: Array<NormalizedStoriesSpecifier & {
        req: any;
    }>;
    annotations: any[];
    options?: ReactNativeOptions;
}): View;

interface StorybookConfig {
    stories: StorybookConfig$1['stories'];
    addons: string[];
    reactNative?: ReactNativeOptions;
}

export { StorybookConfig, getProjectAnnotations, prepareStories, start };
